<div th:replace="data(mainWrapper=~{::content})" th:fragment="content" xmlns:th="http://www.thymeleaf.org" class="col-md-12" nash-th:classappend="${repeatable}? 'repeatable-field-info'">
    <label nash-th:text="#{*{elm.label}}"></label>
    <input type="hidden" nash-th:id="*{path.fullPath} + '.value'" nash-th:name="*{path.fullPath} + '.value'" nash-th:value="*{(null == value || null == value.value) ? 'yes' : value.value}" />
    <input type="hidden" nash-th:id="*{path.fullPath} + '.on'" nash-th:name="*{path.fullPath} + '.on'" nash-th:value="*{(null == value || null == value.on) ? null : value.on}" />
    <input type="hidden" nash-th:id="*{path.fullPath} + '.off'" nash-th:name="*{path.fullPath} + '.off'" nash-th:value="*{(null == value || null == value.off) ? null : value.off}" />

    <div class="togglz">
        <span class="togglz-on"><nash-th:block nash-th:text="*{(null == value || null == value.on) ? 'ON' : value.on}" /></span>
        <label class="switch">
            <input type="checkbox">
            <span class="slider round"></span>
        </label>
        <span class="togglz-off"><nash-th:block nash-th:text="*{(null == value || null == value.off) ? 'OFF' : value.off}" /></span>
    </div>
</div>
